douyin 11
15 个接口
GETfetch one video danmaku
GET https://dkai.store/api/v1/douyin/web/fetch_one_video_danmaku1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
item_id | query | 必填 | |
duration | query | 必填 | |
end_time | query | 必填 | |
start_time | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_one_video_danmaku?item_id=VALUE&duration=VALUE&end_time=VALUE&start_time=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch one video v2
GET https://dkai.store/api/v1/douyin/web/fetch_one_video_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
aweme_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_one_video_v2?aweme_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTfetch query user
POST https://dkai.store/api/v1/douyin/web/fetch_query_user1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_query_user'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch series aweme
GET https://dkai.store/api/v1/douyin/web/fetch_series_aweme1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
offset | query | 必填 | |
count | query | 必填 | |
content_type | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_series_aweme?offset=VALUE&count=VALUE&content_type=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user fans list
GET https://dkai.store/api/v1/douyin/web/fetch_user_fans_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_fans_list'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user following list
GET https://dkai.store/api/v1/douyin/web/fetch_user_following_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_following_list'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
POSTfetch user like videos
POST https://dkai.store/api/v1/douyin/web/fetch_user_like_videos1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
请求体:按接口定义传入完整 JSON。
成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user live info by uid
GET https://dkai.store/api/v1/douyin/web/fetch_user_live_info_by_uid1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_live_info_by_uid?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user live videos
GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
webcast_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos?webcast_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user live videos by room id v2
GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_room_id_v21 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
room_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_room_id_v2?room_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user live videos by sec uid
GET https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_sec_uid1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
sec_uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_live_videos_by_sec_uid?sec_uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user mix videos
GET https://dkai.store/api/v1/douyin/web/fetch_user_mix_videos1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
mix_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_mix_videos?mix_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user post videos
GET https://dkai.store/api/v1/douyin/web/fetch_user_post_videos1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
sec_user_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_post_videos?sec_user_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user profile by short id
GET https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_short_id1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
short_id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/douyin/web/fetch_user_profile_by_short_id?short_id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。